Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2004-1636

Overview

Vulnerability Score 10.0 10.0
CVE Id CVE-2004-1636
Last Modified 05 Sep 2008 04:41:56
Published 26 Oct 2004 12:00:00
Confidentiality Impact COMPLETE COMPLETE
Integrity Impact COMPLETE COMPLETE
Availability Impact COMPLETE COMPLETE
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2004-1636

Summary

Heap-based buffer overflow in the WvTFTPServer::new_connection function in wvtftpserver.cc for WvTftp 0.9 allows remote attackers to execute arbitrary code via a long option string in a TFTP packet.

Vulnerable Systems

Application

  • Net Integration Technologies Inc. Wvtftp 0.9


References

SECUNIA - 12986

XF - wvtfpd-wvtftpservercc-bo(17869)

BID - 11525

BUGTRAQ - 20041026 wvtfpd remote root heap overflow


Last Updated: 27 May 2016 10:39:07